- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# qmatrix.h File Reference

`#include <QtGui/qpolygon.h>`
`#include <QtGui/qregion.h>`
`#include <QtGui/qwindowdefs.h>`
`#include <QtCore/qline.h>`
`#include <QtCore/qpoint.h>`
`#include <QtCore/qrect.h>`

Go to the source code of this file.

## Classes
class | QMatrix
## Functions
| Q_DECLARE_TYPEINFO (QMatrix, Q_MOVABLE_TYPE)
Q_GUI_EXPORT_INLINE QPoint | operator* (const QPoint &p, const QMatrix &m)
Q_GUI_EXPORT_INLINE QPointF | operator* (const QPointF &p, const QMatrix &m)
Q_GUI_EXPORT_INLINE QLineF | operator* (const QLineF &l, const QMatrix &m)
Q_GUI_EXPORT_INLINE QLine | operator* (const QLine &l, const QMatrix &m)
Q_GUI_EXPORT_INLINE QPolygon | operator* (const QPolygon &a, const QMatrix &m)
Q_GUI_EXPORT_INLINE QPolygonF | operator* (const QPolygonF &a, const QMatrix &m)
Q_GUI_EXPORT_INLINE QRegion | operator* (const QRegion &r, const QMatrix &m)
Q_GUI_EXPORT QPainterPath | operator* (const QPainterPath &p, const QMatrix &m)
bool | qFuzzyCompare (const QMatrix &m1, const QMatrix &m2)
Q_GUI_EXPORT QDataStream & | operator<< (QDataStream &, const QMatrix &)
Q_GUI_EXPORT QDataStream & | operator>> (QDataStream &, QMatrix &)
Q_GUI_EXPORT QDebug | operator<< (QDebug, const QMatrix &)

## Function Documentation

Q_DECLARE_TYPEINFO | ( | QMatrix | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

Q_GUI_EXPORT_INLINE QPoint operator* | ( | const QPoint & | p,
|  | const QMatrix & | m
| ) |  |

Definition at line 150 of file qmatrix.h.

    { return m.map(p); }

Q_GUI_EXPORT_INLINE QPointF operator* | ( | const QPointF & | p,
|  | const QMatrix & | m
| ) |  |

Definition at line 152 of file qmatrix.h.

    { return m.map(p); }

Q_GUI_EXPORT_INLINE QLineF operator* | ( | const QLineF & | l,
|  | const QMatrix & | m
| ) |  |

Definition at line 154 of file qmatrix.h.

    { return m.map(l); }

Q_GUI_EXPORT_INLINE QLine operator* | ( | const QLine & | l,
|  | const QMatrix & | m
| ) |  |

Definition at line 156 of file qmatrix.h.

    { return m.map(l); }

Q_GUI_EXPORT_INLINE QPolygon operator* | ( | const QPolygon & | a,
|  | const QMatrix & | m
| ) |  |

Definition at line 158 of file qmatrix.h.

    { return m.map(a); }

Q_GUI_EXPORT_INLINE QPolygonF operator* | ( | const QPolygonF & | a,
|  | const QMatrix & | m
| ) |  |

Definition at line 160 of file qmatrix.h.

    { return m.map(a); }

Q_GUI_EXPORT_INLINE QRegion operator* | ( | const QRegion & | r,
|  | const QMatrix & | m
| ) |  |

Definition at line 162 of file qmatrix.h.

    { return m.map(r); }

Q_GUI_EXPORT QPainterPath operator* | ( | const QPainterPath & | p,
|  | const QMatrix & | m
| ) |  |

bool qFuzzyCompare | ( | const QMatrix & | m1,
|  | const QMatrix & | m2
| ) |  | `[inline]`

Search for all occurrences

Definition at line 172 of file qmatrix.h.

    {
        return qFuzzyCompare(m1.m11(), m2.m11())
            && qFuzzyCompare(m1.m12(), m2.m12())
            && qFuzzyCompare(m1.m21(), m2.m21())
            && qFuzzyCompare(m1.m22(), m2.m22())
            && qFuzzyCompare(m1.dx(), m2.dx())
            && qFuzzyCompare(m1.dy(), m2.dy());
    }

Q_GUI_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QMatrix & |
| ) |  |

Q_GUI_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QMatrix & |
| ) |  |

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QMatrix & |
| ) |  |